Subject: Re: [PATCH net 2/2] selftests/rtnetlink.sh: add mngtempaddr test

From: Hangbin Liu <[email-masked]>
Date: Thu, 14 Nov 2024 08:19:31 +0000

On Wed, Nov 13, 2024 at 06:43:12PM -0800, Jakub Kicinski wrote:
> On Thu, 14 Nov 2024 02:00:01 +0000 Hangbin Liu wrote:
> > > # [+300.25] tempaddr not deleted for 2001:db8::1
> > > # [+0.16] tempaddr not deleted for 2003:db8::1
> > > # [+0.07] FAIL: mngtmpaddr add/remove incorrect
> > > not ok 1 selftests: net: rtnetlink.sh # exit=1  
> > 
> > Is this tested with patched kernel or unpatched kernel. On my local side I got
> > 
> > # ./rtnetlink.sh -t kci_test_mngtmpaddr
> > PASS: mngtmpaddr add/remove correctly
> 
> I believe you that you run the test before sending.
> But if it doesn't pass in CI we can't merge this.
> Just a shot in the dark but does it also pass without the -t ?

Yes.
# ./rtnetlink.sh
PASS: policy routing
...
PASS: enslave interface in a bond
PASS: mngtmpaddr add/remove correctly

I will modify the test with Sam's suggestions and see if it could pass.

Thanks
Hangbin